# CraftPresence

## [v2.5.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.5.2) (2022-08-02)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.5.1...v2.5.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Further adjustments and fixes to processing feature sets  
    - Added `self.cache.build\_tag` (Supported values: `rebased`, `special`). Logic for `IsRebasedApi` and `IsSpecialVersion` now use this new tag instead. the result is also now cached which should improve performance during repeated lookups.  
    - Adjusted `ShouldProcessData` to have an `ignoreExtraChecks` paramater. If true, this will only check the toc and registration data.  
      - The rebased api check has also been adjusted so if `allowRebasedApi` is false, it will have an inverse condition so that even if we are in the toc range, if we are not allowing the rebased api, it will return false as intended.  
      - Due to the changes, `FindCompatibilityInfo` will no longer check for rebased data (Since it isnt in that initial layer anyways, wasting CPU/memory)  
